Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

spidermonkey-bin not availble in Ubuntu Lucid #2

Closed
ghost opened this Issue May 23, 2010 · 4 comments

Comments

Projects
None yet
3 participants
@ghost

ghost commented May 23, 2010

Alternative js interpreter rhino does not support readline().

@ghost

ghost commented May 23, 2010

The spidermonkey-bin package is available from this ppa:

https://edge.launchpad.net/~launchpad/+archive/ppa

And appears to work fine. Not really a fix but a decent workaround.

Contributor

smith commented May 23, 2010

I was getting around to make a version that uses narwhal or node, since nowadays I'm more likely to have one of those around than spidermonkey. Let me know if anybody's interested and I can find some time.

I had no trouble getting spidermonkey-bin. It's in lucid-universe.

Owner

hallettj commented Sep 11, 2010

The latest development version of jslint.vim supports rhino and node.js in addition to spidermonkey. I do not recommend using rhino though: it has to start up a JVM instance every time jslint runs which creates a lengthy delay, and the latest version of jslint.vim checks for errors in near real time so jslint gets run frequently.

@thisgeek thisgeek referenced this issue in thisgeek/jshint.vim Aug 8, 2012

@walm walm Merge pull request #2 from antonishen/master
Fix for redrawing in terminal vim, don't show useless items in quick fix list
7dfc671

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment